<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SampleApp/include/SampleApp/RevokeAuthorizationObserver.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html">SampleApp</a></li><li class="navelem"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a></li><li class="navelem"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">RevokeAuthorizationObserver.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;<a class="el" href="_revoke_authorization_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/RevokeAuthorizationObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_registration_manager_8h_source.html">RegistrationManager/RegistrationManager.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for RevokeAuthorizationObserver.h:</div>
<div class="dyncontent">
<div class="center"><img src="_revoke_authorization_observer_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_revoke_authorization_observer_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_revoke_authorization_observer_8h" id="_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_revoke_authorization_observer_8h">
<area shape="rect" id="node2" href="_revoke_authorization_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/RevokeAuthorizationObserver\lInterface.h" alt="" coords="2295,119,2497,171"/>
<area shape="rect" id="node3" href="_registration_manager_8h.html" title="RegistrationManager\l/RegistrationManager.h" alt="" coords="2522,125,2681,164"/>
<area shape="rect" id="node6" href="_auth_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthDelegateInterface.h" alt="" coords="377,825,567,864"/>
<area shape="rect" id="node10" href="_a_v_s_connection_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AVSConnectionManagerInterface.h" alt="" coords="1348,392,1582,431"/>
<area shape="rect" id="node14" href="_directive_sequencer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveSequencerInterface.h" alt="" coords="2187,219,2392,257"/>
<area shape="rect" id="node47" href="_customer_data_manager_8h.html" title="RegistrationManager\l/CustomerDataManager.h" alt="" coords="2638,219,2812,257"/>
<area shape="rect" id="node50" href="_registration_observer_interface_8h.html" title="RegistrationManager\l/RegistrationObserverInterface.h" alt="" coords="2886,219,3100,257"/>
<area shape="rect" id="node8" href="_auth_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthObserverInterface.h" alt="" coords="94,912,285,951"/>
<area shape="rect" id="node11" href="_connection_status_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ConnectionStatusObserverInterface.h" alt="" coords="1783,479,2031,517"/>
<area shape="rect" id="node13" href="_message_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageObserverInterface.h" alt="" coords="94,652,290,691"/>
<area shape="rect" id="node15" href="_a_v_s_directive_8h.html" title="AVSCommon/AVS/AVSDirective.h" alt="" coords="1535,485,1758,511"/>
<area shape="rect" id="node39" href="_directive_handler_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerInterface.h" alt="" coords="2023,305,2214,344"/>
<area shape="rect" id="node46" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="2358,825,2546,864"/>
<area shape="rect" id="node17" href="_attachment_manager_interface_8h.html" title="Attachment/AttachmentManager\lInterface.h" alt="" coords="1260,565,1473,604"/>
<area shape="rect" id="node37" href="_a_v_s_message_8h.html" title="AVSMessage.h" alt="" coords="1615,832,1727,857"/>
<area shape="rect" id="node19" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="1261,652,1462,691"/>
<area shape="rect" id="node22" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="309,912,510,951"/>
<area shape="rect" id="node25" href="_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentWriter.h" alt="" coords="417,739,618,777"/>
<area shape="rect" id="node24" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="354,999,516,1037"/>
<area shape="rect" id="node26" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1280,739,1442,777"/>
<area shape="rect" id="node36" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="641,1005,743,1031"/>
<area shape="rect" id="node29" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="897,832,1044,857"/>
<area shape="rect" id="node31" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="905,999,1081,1037"/>
<area shape="rect" id="node33" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="1078,919,1186,944"/>
<area shape="rect" id="node34" href="_reader_8h.html" title="Reader.h" alt="" coords="737,919,812,944"/>
<area shape="rect" id="node35" href="_writer_8h.html" title="Writer.h" alt="" coords="937,919,1004,944"/>
<area shape="rect" id="node32" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1035,1085,1211,1124"/>
<area shape="rect" id="node38" href="_a_v_s_message_header_8h.html" title="AVSMessageHeader.h" alt="" coords="1665,919,1820,944"/>
<area shape="rect" id="node40" href="_directive_handler_configuration_8h.html" title="AVSCommon/AVS/DirectiveHandler\lConfiguration.h" alt="" coords="2176,392,2408,431"/>
<area shape="rect" id="node45" href="_directive_handler_result_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerResultInterface.h" alt="" coords="1857,392,2082,431"/>
<area shape="rect" id="node42" href="_namespace_and_name_8h.html" title="NamespaceAndName.h" alt="" coords="2227,659,2389,684"/>
<area shape="rect" id="node43" href="_blocking_policy_8h.html" title="BlockingPolicy.h" alt="" coords="2156,485,2273,511"/>
<area shape="rect" id="node49" href="_customer_data_handler_8h.html" title="RegistrationManager\l/CustomerDataHandler.h" alt="" coords="2352,739,2520,777"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_revoke_authorization_observer_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_revoke_authorization_observer_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_revoke_authorization_observer_8hdep" id="_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_revoke_authorization_observer_8hdep">
<area shape="rect" id="node2" href="_revoke_authorization_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/RevokeAuthorization\lObserver.cpp" alt="" coords="5,119,273,171"/>
</map>
</div>
</div>
<p><a href="_revoke_authorization_observer_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_revoke_authorization_observer.html">alexaClientSDK::sampleApp::RevokeAuthorizationObserver</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1sample_app"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html">alexaClientSDK::sampleApp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
